<!--
	Licensed Material - Property of IBM
	5655-I35 (C) Copyright IBM Corp. 2000, 2003

	All Rights Reserved.

	U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or
	Disclosure restricted by GSA-ADP schedule contract with IBM Corp.

	Status = H28W500
	WAS390	
-->

<xsl:stylesheet version="1.0"
    xmlns:xmi="http://www.omg.org/XMI"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xalan="http://xml.apache.org/xslt"
    xmlns:topology.node="http://www.ibm.com/websphere/appserver/schemas/5.0/topology.node.xmi"
    xmlns:C2N="com.ibm.ws.management.util.zos.gate">
        
    <!-- import shared -->
    <xsl:include href="shared.xsl"/>

	<!-- Match on the "ROOT" / -->
	<xsl:template match="/">
		<xsl:apply-templates select="xmi:XMI" /> 
        <xsl:apply-templates select="topology.node:Node"/>
    </xsl:template>

	<!-- Match on the "xmi:XMI" -->
	<xsl:template match="xmi:XMI">
		<xsl:apply-templates select="xmi:Documentation"/> 
		<xsl:apply-templates select="topology.node:Node"/>
	</xsl:template>

	<!-- Just swallowing this, here for completeness -->
	<xsl:template match="xmi:Documentation"></xsl:template>
	
		
	<xsl:template match="topology.node:Node">
		<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'node_short_name',  @shortName)"/>
		<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'node_name',  @name)"/>	
        <xsl:if test="$mode = 'servers'">
            <xsl:apply-templates select="properties"/>
        </xsl:if>
	</xsl:template>
    
    <xsl:template match="properties">
        <xsl:if test="@name = 'was.sysplexNodeGroup'">
            <xsl:value-of select="C2N:Catcher.processNodeGroup($GenKey, @value, $node_name)"/>
        </xsl:if>
    </xsl:template>
</xsl:stylesheet>