<!--
	Licensed Material - Property of IBM
	5655-I35 (C) Copyright IBM Corp. 2000, 2003

	All Rights Reserved.

	U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or
	Disclosure restricted by GSA-ADP schedule contract with IBM Corp.

	Status = H28W500
	WAS390	
-->

<xsl:stylesheet version="1.0"
    xmlns:xmi="http://www.omg.org/XMI"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xalan="http://xml.apache.org/xslt"
    xmlns:topology.nodegroup="http://www.ibm.com/websphere/appserver/schemas/6.0/topology.nodegroup.xmi"
    xmlns:C2N="com.ibm.ws.management.util.zos.gate">
        
    <!-- import shared -->
    <xsl:include href="shared.xsl"/>
    
	<!-- Match on the "ROOT" / -->
	<xsl:template match="/">
		<xsl:apply-templates select="xmi:XMI" /> 
        <xsl:apply-templates select="topology.nodegroup:NodeGroup"/>
    </xsl:template>

	<!-- Match on the "xmi:XMI" -->
	<xsl:template match="xmi:XMI">
		<xsl:apply-templates select="xmi:Documentation"/> 
		<xsl:apply-templates select="topology.nodegroup:NodeGroup"/>
	</xsl:template>

	<!-- Just swallowing this, here for completeness -->
	<xsl:template match="xmi:Documentation"></xsl:template>
			
	<xsl:template match="topology.nodegroup:NodeGroup">
		<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'daemon_group_name',  @shortName)"/>
        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_generic_short_name',  @shortName)"/>
        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'daemonName',  @shortName)"/>        
        <xsl:variable name="mangledKey" select="C2N:XSLUtil.mangleGenKey($GenKey, 'node')"/>
        <xsl:value-of select="C2N:Catcher.saveKeyValue($mangledKey,'daemon_group_name',  @shortName)"/>
        <xsl:value-of select="C2N:Catcher.saveKeyValue($mangledKey,'server_generic_short_name',  @shortName)"/>
        <xsl:value-of select="C2N:Catcher.saveKeyValue($mangledKey,'daemonName',  @shortName)"/>        
        <xsl:apply-templates select="properties"/>
    </xsl:template>
    
    <xsl:template match="properties">
        <xsl:choose>
            <xsl:when test="starts-with(@name, 'was.WAS_DAEMON_protocol_iiop_listenIPAddress')">
                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, substring-after(@name, 'was.'), @value)"/>       
            </xsl:when>
            <xsl:when test="starts-with(@name, 'was.WAS_DAEMON_ONLY_')">
                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, substring-after(@name, 'was.'), @value)"/>
            </xsl:when>
            <xsl:when test="starts-with(@name, 'was.WAS_DAEMON_')">
                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, substring-after(@name, 'was.'), @value)"/>
                
                <!-- it's not just a nodegroup variable, so write to the node as well -->
                <xsl:variable name="mangledKey" select="C2N:XSLUtil.mangleGenKey($GenKey, 'node')"/>
                <xsl:value-of select="C2N:Catcher.saveKeyValue($mangledKey, substring-after(@name, 'was.'), @value)"/>
            </xsl:when>
            <xsl:otherwise>
                <xsl:choose>
                    <xsl:when test="starts-with(@name,'was.')">
                        <xsl:variable name="prop_name" select="substring-after(@name, 'was.')"/>
                        <xsl:variable name="prop_name2" select="translate($prop_name, '.', '_')"/>                    
                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, $prop_name2,  @value)"/>					
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:variable name="prop_name2" select="translate(@name, '.', '_')"/>                    
                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, $prop_name2,  @value)"/>					
                    </xsl:otherwise>
                    </xsl:choose>
            </xsl:otherwise>
        </xsl:choose>
    </xsl:template>


</xsl:stylesheet>