<!--
        Licensed Material - Property of IBM
        5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70 (C) Copyright IBM Corp. 2000-2004, 2008
        IBM Confidential OCO Source Material
        The source code for this program is not published or otherwise divested
        of its trade secrets, irrespective of what has been deposited with the
        U.S. Copyright Office.

        Status = H28W500
        WAS390
        LIDB2775.89.1 - re-sync with zwas510 (complete replacement)
-->
<xsl:stylesheet version="1.0"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xmi="http://www.omg.org/XMI"
    xmlns:xalan="http://xml.apache.org/xslt"
        xmlns:security="http://www.ibm.com/websphere/appserver/schemas/5.0/security.xmi"
        xmlns:ipc="http://www.ibm.com/websphere/appserver/schemas/5.0/ipc.xmi"
    xmlns:jaaslogin="http://www.ibm.com/websphere/appserver/schemas/5.0/jaaslogin.xmi"
    xmlns:properties="http://www.ibm.com/websphere/appserver/schemas/5.0/properties.xmi"
    xmlns:orb.securityprotocol="http://www.ibm.com/websphere/appserver/schemas/5.0/orb.securityprotocol.xmi"
    xmlns:ipc.ssl="http://www.ibm.com/websphere/appserver/schemas/5.0/ipc.ssl.xmi"
    xmlns:variables="http://www.ibm.com/websphere/appserver/schemas/5.0/variables.xmi"
    xmlns:topology.cell="http://www.ibm.com/websphere/appserver/schemas/5.0/topology.cell.xmi"
    xmlns:topology.nodegroup="http://www.ibm.com/websphere/appserver/schemas/6.0/topology.nodegroup.xmi"
    xmlns:C2N="com.ibm.ws.management.util.zos.gate">

    <!-- import shared -->
    <xsl:include href="shared.xsl"/>

        <!-- import helps -->
    <xsl:include href="nodegroup_help.xsl"/>
    <xsl:include href="cell_help.xsl"/>

        <!-- Match on the "ROOT" / -->
        <xsl:template match="/">
                <xsl:param name="check"/>
                <xsl:choose>
                        <xsl:when test="$check = 'true'">
                                <xsl:value-of select="//security:Security/@enabled"/>
                        </xsl:when>
                        <xsl:otherwise>
                                <xsl:apply-templates select="xmi:XMI" />
                                <xsl:apply-templates select="security:Security"/>
                        </xsl:otherwise>
                </xsl:choose>
        </xsl:template>

        <!-- Match on the "xmi:XMI" -->
        <xsl:template match="xmi:XMI">
                <xsl:apply-templates select="xmi:Documentation"/>
                <xsl:apply-templates select="security:Security"/>
        </xsl:template>

        <!-- Just swallowing this, here for completeness -->
        <xsl:template match="xmi:Documentation"></xsl:template>


    <!-- Security Template Start -->
        <xsl:template match="security:Security">
                <xsl:if test="string-length($server_name) = 0 or $mode = 'daemon'">
                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_Server_Security_Enabled',  @enabled)"/>
                </xsl:if>
                <xsl:if test="not(string-length($server_name) = 0) and $mode = 'servers'">
            <xsl:variable name="path_1" select="concat($user_install_root, $file_sep, 'config', $file_sep, 'cells', $file_sep)"/>
            <xsl:variable name="path_2" select="concat($path_1, $cell_name, $file_sep, 'security.xml')"/>
            <xsl:variable name="sec_enable">
                                <xsl:apply-templates select="document($path_2)">
                                        <xsl:with-param name="check" select="'true'"/>
                                </xsl:apply-templates>
                        </xsl:variable>
                        <xsl:if test="$sec_enable = 'false'">
                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_Server_Security_Enabled',  0)"/>
                        </xsl:if>
                        <xsl:if test="$sec_enable = 'true'">
                <xsl:if test="@enabled != ''">
                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_Server_Security_Enabled',  @enabled)"/>
                </xsl:if>
            </xsl:if>
                </xsl:if>
                <xsl:choose>
                        <xsl:when test="$mode = 'servers'">
                                <xsl:apply-templates select="CSI"/>
                                <!-- zwas502_plus -->

                                <xsl:apply-templates select="userRegistries">
                                        <xsl:with-param name="mode" select="$mode"/>
                                        <xsl:with-param name="active" select="''"/>
                                        <xsl:with-param name="realm_type" select="''"/>
                                </xsl:apply-templates>


                                <xsl:variable name="activeUser" select="@activeUserRegistry"/>
                                <xsl:apply-templates select="userRegistries">
                                        <xsl:with-param name="active" select="$activeUser"/>
                                        <xsl:with-param name="mode" select="'servers'"/>
                                        <xsl:with-param name="realm_type" select="''"/>
                                </xsl:apply-templates>

                                <xsl:variable name="authMech" select="@activeAuthMechanism"/>
                                <xsl:apply-templates select="authMechanisms">
                                        <xsl:with-param name="authMech" select="$authMech"/>
                                        <xsl:with-param name="mode" select="$mode"/>
                                </xsl:apply-templates>

                                <xsl:apply-templates select="userRegistries">
                                        <xsl:with-param name="active" select="''"/>
                                        <xsl:with-param name="mode" select="'servers'"/>
                                        <xsl:with-param name="realm_type" select="'Custom'"/>
                                </xsl:apply-templates>

                                <xsl:apply-templates select="userRegistries">
                                        <xsl:with-param name="active" select="''"/>
                                        <xsl:with-param name="mode" select="'servers'"/>
                                        <xsl:with-param name="realm_type" select="'LDAP'"/>
                                </xsl:apply-templates>

                                <!-- zwas502_plus -->

                                <!-- matching properties -->
                                <xsl:for-each select="properties">
                                        <xsl:choose>  <!-- begin CSiV2 custom property transforms -->
                                                <xsl:when test="starts-with(@name,'was.')">
                                                        <xsl:variable name="prop_name" select="substring-after(@name, 'was.')"/>
                                                        <xsl:variable name="prop_name2" select="translate($prop_name, '.', '_')"/>
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, $prop_name2,  @value)"/>
                                                        <xsl:if test="$prop_name2 = 'security_zSAS_ssl_repertoire'">
                                                                <xsl:apply-templates select="//repertoire">
                                                                        <xsl:with-param name="config" select="@value"/>
                                                                        <xsl:with-param name="type" select="'claims'"/>
                                                                </xsl:apply-templates>
                                                        </xsl:if>
                                                        <xsl:if test="$prop_name2 = 'com_ibm_websphere_security_zos_csiv2_outbound_transport_sslconfig'">
                                                            <xsl:apply-templates select="//repertoire">
                                                                <xsl:with-param name="config" select="@value"/>
                                                                <xsl:with-param name="type" select="'perform'"/>
                                                            </xsl:apply-templates>
                                                        </xsl:if>
                                                        <xsl:if test="$prop_name2 = 'com_ibm_websphere_security_zos_csiv2_inbound_transport_sslconfig'">
                                                            <xsl:apply-templates select="//repertoire">
                                                                <xsl:with-param name="config" select="@value"/>
                                                                <xsl:with-param name="type" select="'claims'"/>
                                                            </xsl:apply-templates>
                                                        </xsl:if>

                                                </xsl:when>
                                                
                                                <xsl:otherwise>
                                                        <xsl:variable name="path_1" select="concat($user_install_root, $file_sep, 'config', $file_sep, 'cells', $file_sep)"/>
                                                        <xsl:variable name="path_2" select="concat($path_1, $cell_name, $file_sep, 'cell.xml')"/>
                                                        <xsl:variable name="cell_type">
                                                                <xsl:apply-templates select="document($path_2)//topology.cell:Cell"/>
                                                        </xsl:variable>
                                                        <xsl:choose>
                                                                <xsl:when test="@name = 'security.zOS.domainType'">
                                                                        <xsl:if test="$cell_type = 'STANDALONE'">
                                                                                <xsl:if test="@value != 'cellQualified'">
                                                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'security_zOS_domainType',  '0')"/>
                                                                                </xsl:if>
                                                                                <xsl:if test="@value = 'cellQualified'">
                                                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'security_zOS_domainType',  '1')"/>
                                                                                </xsl:if>
                                                                        </xsl:if>
                                                                        <xsl:if test="$cell_type = 'DISTRIBUTED'">
                                                                                <xsl:if test="string-length($server_name) = 0">
                                                                                        <xsl:if test="@value != 'cellQualified'">
                                                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'security_zOS_domainType',  '0')"/>
                                                                                        </xsl:if>
                                                                                        <xsl:if test="@value = 'cellQualified'">
                                                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'security_zOS_domainType',  '1')"/>
                                                                                        </xsl:if>
                                                                                </xsl:if>
                                                                        </xsl:if>
                                                                </xsl:when>
                                                                <xsl:when test="@name = 'security.zOS.domainName'">
                                                                        <xsl:if test="$cell_type = 'STANDALONE'">
                                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'security_zOS_domainName',  @value)"/>
                                                                        </xsl:if>
                                                                        <xsl:if test="$cell_type = 'DISTRIBUTED'">
                                                                                <xsl:if test="string-length($server_name) = 0">
                                                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'security_zOS_domainName',  @value)"/>
                                                                                </xsl:if>
                                                                        </xsl:if>
                                                                </xsl:when>
                                                                <xsl:when test="@name = 'EnableTrustedApplications'">
                                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'control_region_security_enable_trusted_applications',  @value)"/>
                                                                </xsl:when>
                                                                <xsl:when test="@name = 'security.zOS.session.OMVSSRV'">
                                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'private_security_zOS_session_OMVSSRV',  @value)"/>
                                                                </xsl:when>
                                                                <xsl:when test="@name = 'com.ibm.security.SAF.profilePrefix'">
                                                                        <xsl:if test="$cell_type = 'STANDALONE'">
                                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'security_zOS_profilePrefix',  @value)"/>
                                                                        </xsl:if>
                                                                        <xsl:if test="$cell_type = 'DISTRIBUTED'">
                                                                                <xsl:if test="string-length($server_name) = 0">
                                                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'security_zOS_profilePrefix',  @value)"/>
                                                                                </xsl:if>        
                                                                        </xsl:if>
                                                                </xsl:when>
                                                                <xsl:when test="@name = 'com.ibm.security.SAF.overrideStartupAPPL'">
                                                                        <xsl:if test="$cell_type = 'STANDALONE'">
                                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'security_zOS_overrideStartupAPPL',  @value)"/>
                                                                        </xsl:if>
                                                                        <xsl:if test="$cell_type = 'DISTRIBUTED'">
                                                                                <xsl:if test="string-length($server_name) = 0">
                                                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'security_zOS_overrideStartupAPPL',  @value)"/>
                                                                                </xsl:if>
                                                                        </xsl:if>
                                                                </xsl:when>
                                                                <xsl:otherwise>
                                    <!-- pok_MD20151 - start modify -->
                                    <!-- <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, @name,  @value)"/> -->
                                    <xsl:variable name="swap_name" select="translate(@name, '.', '_')"/>
                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,$swap_name,  @value)"/>
                                    <!-- pok_MD20151 - end modify -->
                                                                </xsl:otherwise>
                                                        </xsl:choose>
                                                </xsl:otherwise>
                                        </xsl:choose>
                                </xsl:for-each>
                        </xsl:when>
                        <xsl:otherwise>                            
                            <xsl:apply-templates select="//CSI/claims/layers">
                                <xsl:with-param name="type" select="'daemon'" /> 
                            </xsl:apply-templates>                        
                               

                        <!-- zwas502_plus -->

                                <xsl:apply-templates select="userRegistries">
                                        <xsl:with-param name="mode" select="'daemon'"/>
                                        <xsl:with-param name="active" select="''"/>
                                        <xsl:with-param name="realm_type" select="''"/>
                                </xsl:apply-templates>

                                <xsl:variable name="authMech" select="@activeAuthMechanism"/>
                                <xsl:apply-templates select="authMechanisms">
                                        <xsl:with-param name="authMech" select="$authMech"/>
                                        <xsl:with-param name="mode" select="'daemon'"/>
                                </xsl:apply-templates>


                                <xsl:variable name="activeUser" select="@activeUserRegistry"/>
                                <xsl:apply-templates select="userRegistries">
                                        <xsl:with-param name="active" select="$activeUser"/>
                                        <xsl:with-param name="mode" select="'daemon'"/>
                                        <xsl:with-param name="realm_type" select="''"/>
                                </xsl:apply-templates>


                                <xsl:apply-templates select="userRegistries">
                                        <xsl:with-param name="active" select="''"/>
                                        <xsl:with-param name="mode" select="'daemon'"/>
                                        <xsl:with-param name="realm_type" select="'LDAP'"/>
                                </xsl:apply-templates>

                                <xsl:apply-templates select="userRegistries">
                                        <xsl:with-param name="active" select="''"/>
                                        <xsl:with-param name="mode" select="'daemon'"/>
                                        <xsl:with-param name="realm_type" select="'Custom'"/>
                                </xsl:apply-templates>

                                <!-- zwas502_plus -->


                                <xsl:variable name="path_a" select="substring-before($path, 'security.xml')"/>
                                <xsl:variable name="path_b" select="concat($path_a, 'nodegroups/')"/>
                                <xsl:variable name="path_c" select="concat($path_b, $nodegroup_name)"/>
                                <xsl:variable name="path_d" select="concat($path_c, '/nodegroup.xml')"/>                                                   
                                <xsl:variable name="daemon_rep">
                                        <xsl:apply-templates select="document($path_d)//topology.nodegroup:NodeGroup"/>
                                </xsl:variable>
                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'WAS_DAEMON_ONLY_protocol_iiop_daemon_ssl_repertoire', $daemon_rep)"/>                                
                                <xsl:apply-templates select="//repertoire">                                    
                                        <xsl:with-param name="config" select="$daemon_rep"/>
                                        <xsl:with-param name="type" select="'daemon'"/>
                                </xsl:apply-templates>
                        </xsl:otherwise>
                </xsl:choose>
        </xsl:template>


        <!-- zwas502_plus -->
        <xsl:template match="authMechanisms">
                <xsl:param name="authMech"/>
                <xsl:param name="mode"/>

                <xsl:if test="@xmi:id = $authMech">
                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_authMechanisms_type_OID',  @OID)"/>
                </xsl:if>
        </xsl:template>
        <!-- zwas502_plus -->

        <!-- CSI template -->
        <xsl:template match="CSI">
                <xsl:apply-templates select="claims"/>
                <xsl:apply-templates select="performs"/>
        </xsl:template>

        <!-- performs template -->
        <xsl:template match="performs">
                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_performStateful',  @stateful)"/>
                <xsl:apply-templates select="layers">
                        <xsl:with-param name="type" select="'perform'"/>
                </xsl:apply-templates>
        </xsl:template>



        <!-- claims template -->
        <xsl:template match="claims">
                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_claimStateful',  @stateful)"/>
                <xsl:apply-templates select="layers">
                        <xsl:with-param name="type" select="'claims'"/>
                </xsl:apply-templates>
        </xsl:template>

        <!-- layers template -->
        <xsl:template match="layers">
                <xsl:param name="type"/>
                <xsl:choose>
                    <xsl:when test="$type = 'daemon'">
                        <xsl:if test="@xmi:type = 'orb.securityprotocol:TransportLayer'">

                            <!-- orb.securityprotocol:TransportLayer  --> 
                            <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_claimTransportAssocSSLTLSSupported', supportedQOP/@enableProtection)" /> 
                            
                            <!-- orb.securityprotocol:TransportLayer --> 
                            <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_claimTransportAssocSSLTLSRequired', requiredQOP/@enableProtection)" /> 
                            <!-- orb.securityprotocol:TransportLayer --> 
                        </xsl:if>
                    </xsl:when>
                        <xsl:when test="$type = 'claims'">
                                <xsl:if test="@xmi:type = 'orb.securityprotocol:TransportLayer'">
                                        <!-- requiredQOP -->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_claimTransportAssocSSLTLSRequired',  requiredQOP/@enableProtection)"/> <!--orb.securityprotocol:TransportLayer-->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_claimMessageConfidentialityRequired',  requiredQOP/@confidentiality)"/> <!--orb.securityprotocol:TransportLayer-->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_claimTLClientAuthenticationRequired',  requiredQOP/@establishTrustInClient)"/> <!--orb.securityprotocol:TransportLayer-->

                                        <!-- supportedQOP -->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_claimTransportAssocSSLTLSSupported',  supportedQOP/@enableProtection)"/> <!--orb.securityprotocol:TransportLayer-->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_claimTLClientAuthenticationSupported',  supportedQOP/@establishTrustInClient)"/> <!--orb.securityprotocol:TransportLayer-->
                                        <!-- PK06772 - start -->
					                    <xsl:apply-templates select="serverAuthentication"> <!-- find out the sslConfig -->
						                   <xsl:with-param name="type" select="$type"/>
					                    </xsl:apply-templates>
                                        <!-- PK06772 - end -->

                                </xsl:if>
                                <xsl:if test="@xmi:type = 'orb.securityprotocol:MessageLayer'">
                                        <!-- requiredQOP -->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_claimClientAuthenticationRequired',  requiredQOP/@establishTrustInClient)"/> <!-- orb.securityprotocol:MessageLayer-->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_claimMessageIntegrityRequired',  requiredQOP/@integrity)"/> <!-- orb.securityprotocol:MessageLayer-->

                                        <!-- supportedQOP -->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_claimClientAuthenticationSupported',  supportedQOP/@establishTrustInClient)"/> <!-- orb.securityprotocol:MessageLayer-->
                                </xsl:if>
                                <xsl:if test="@xmi:type = 'orb.securityprotocol:IdentityAssertionLayer'">
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_claimIdentityAssertionSupported',  supportedQOP/@enable)"/> <!-- orb.securityprotocol:MessageLayer-->
                                </xsl:if>
                        </xsl:when>
                        <xsl:when test="$type = 'perform'">
                                <xsl:if test="@xmi:type = 'orb.securityprotocol:TransportLayer'">
                                        <!-- requiredQOP -->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_performTransportAssocSSLTLSRequired',  requiredQOP/@enableProtection)"/> <!--orb.securityprotocol:TransportLayer-->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_performMessageConfidentialityRequired',  requiredQOP/@confidentiality)"/> <!--orb.securityprotocol:TransportLayer-->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_performTLClientAuthenticationRequired',  requiredQOP/@establishTrustInClient)"/> <!--orb.securityprotocol:TransportLayer-->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_performMessageIntegrityRequired',  requiredQOP/@integrity)"/> <!--orb.securityprotocol:TransportLayer-->

                                        <!-- supportedQOP -->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_performTransportAssocSSLTLSSupported',  supportedQOP/@enableProtection)"/> <!--orb.securityprotocol:TransportLayer-->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_performMessageConfidentialitySupported',  supportedQOP/@confidentiality)"/> <!--orb.securityprotocol:TransportLayer-->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_performTLClientAuthenticationSupported',  supportedQOP/@establishTrustInClient)"/> <!--orb.securityprotocol:TransportLayer-->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_performMessageIntegritySupported',  supportedQOP/@integrity)"/> <!--orb.securityprotocol:TransportLayer-->
                                        
                                        <xsl:apply-templates select="serverAuthentication"> <!-- find out the sslConfig -->
                                                <xsl:with-param name="type" select="$type"/>
                                        </xsl:apply-templates>

                                </xsl:if>
                                <xsl:if test="@xmi:type = 'orb.securityprotocol:MessageLayer'">
                                        <!-- requiredQOP -->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_performClientAuthenticationRequired',  requiredQOP/@establishTrustInClient)"/> <!-- orb.securityprotocol:MessageLayer-->

                                        <!-- supportedQOP -->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_performClientAuthenticationSupported',  supportedQOP/@establishTrustInClient)"/> <!-- orb.securityprotocol:MessageLayer-->
                                </xsl:if>
                                <xsl:if test="@xmi:type = 'orb.securityprotocol:IdentityAssertionLayer'">
                                        <!-- requiredQOP -->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_performIdentityAssertionRequired',  requiredQOP/@enable)"/> <!-- orb.securityprotocol:MessageLayer-->

                                        <!-- supportedQOP -->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_performIdentityAssertionSupported',  supportedQOP/@enable)"/> <!-- orb.securityprotocol:MessageLayer-->
                                </xsl:if>
                        </xsl:when>
                </xsl:choose>
        </xsl:template>

        <!-- Server Authen -->
        <xsl:template match="serverAuthentication">
                <xsl:param name="type"/>
                <!-- PK06772 - start -->
                <xsl:variable name="path_a" select="concat($user_install_root, $file_sep, 'config', $file_sep, 'cells', $file_sep)"/>
                <xsl:variable name="path_b" select="concat($path_a, $cell_name, $file_sep, 'security.xml')"/>
                <xsl:apply-templates select="document($path_b)//repertoire"> <!-- PK06772 - end -->
                        <xsl:with-param name="config" select="@sslConfig"/>
                        <xsl:with-param name="type" select="$type"/>
                </xsl:apply-templates>
        </xsl:template>

        <!-- Repertoire -->
        <xsl:template match="repertoire">
                <xsl:param name="config"/>
                <xsl:param name="type"/>
                <xsl:for-each select=".">
                <xsl:if test="@alias = $config">
                        <xsl:choose>
                                <xsl:when test="$type ='claims'">
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_claimSecurityLevel',    setting/@securityLevel)"/> <!-- claims  -->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_claimKeyringName',          setting/@keyFileName)"/> <!-- claims -->
                                        <xsl:for-each select="setting/properties">
                                                <xsl:if test="@name = 'com.ibm.ssl.enabledCipherSuites'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_claimSecurityCipherSuiteList', @value)"/> <!-- claims -->
                                                </xsl:if>
                                                <xsl:if test="@name = 'was.com.ibm.ssl.sys.v3.timeout'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_claim_ssl_sys_v3_timeout', @value)"/> <!-- claims -->
                                                </xsl:if>
                                        </xsl:for-each>
                                </xsl:when>
                                <xsl:when test="$type ='perform'">
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_performSecurityLevel',  setting/@securityLevel)"/> <!-- perform -->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_performKeyringName',        setting/@keyFileName)"/> <!-- perform -->
                                        <xsl:for-each select="setting/properties">
                                                <xsl:if test="@name = 'com.ibm.ssl.enabledCipherSuites'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_performSecurityCipherSuiteList', @value)"/> <!-- perform -->
                                                </xsl:if>
                                                <xsl:if test="@name = 'was.com.ibm.ssl.sys.v3.timeout'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_CSI_perform_ssl_sys_v3_timeout', @value)"/> <!-- perform -->
                                                </xsl:if>
                                        </xsl:for-each>
                                </xsl:when>
                                <xsl:when test="$type ='http'">
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_HTTP_claimSecurityLevel',  setting/@securityLevel)"/> <!-- claim -->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_HTTP_claimKeyringName',         setting/@keyFileName)"/> <!-- claim -->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_HTTP_claimClientAuthentication',        setting/@clientAuthentication)"/> <!-- claim -->
                                        <xsl:for-each select="setting/properties">
                                                <xsl:if test="@name = 'com.ibm.ssl.enabledCipherSuites'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_HTTP_claimSecurityCipherSuiteList', @value)"/> <!-- claim -->
                                                </xsl:if>
                                                <xsl:if test="@name = 'was.com.ibm.ssl.sys.v3.timeout'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_HTTP_claim_ssl_sys_v3_timeout', @value)"/> <!-- claim -->
                                                </xsl:if>
                                        </xsl:for-each>
                                </xsl:when>
                                <xsl:when test="$type ='daemon'">                                        
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_DAEMON_claimSecurityLevel',  setting/@securityLevel)"/> <!-- claim -->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_DAEMON_claimKeyringName',       setting/@keyFileName)"/> <!-- claim -->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_DAEMON_claimClientAuthentication',  setting/@clientAuthentication)"/> <!-- claim -->
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_DAEMON_claimSecurityCipherSuiteList',  setting/@enabledCiphers)"/> <!-- claim -->
                                        <!-- 
                                        <xsl:for-each select="setting/properties">
                                                <xsl:if test="@name = 'com.ibm.ssl.enabledCipherSuites'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_DAEMON_claimSecurityCipherSuiteList', @value)"/> 
                                                </xsl:if>
                                                <xsl:if test="@name = 'was.com.ibm.ssl.sys.v3.timeout'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_DAEMON_claim_ssl_sys_v3_timeout', @value)"/> 
                                                </xsl:if>
                                        </xsl:for-each>
                                        -->
                                </xsl:when>
                        </xsl:choose>
                </xsl:if>
                </xsl:for-each>
        </xsl:template>



        <xsl:template match="userRegistries">
                <xsl:param name="active"/>
                <xsl:param name="mode"/>
                <xsl:param name="realm_type"/>

                <xsl:if test="$mode = 'servers' or $mode = 'daemon'">
                        <xsl:if test="$active = @xmi:id">
                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_userRegistries_type', @xmi:type)"/>
                        </xsl:if>
                        <xsl:if test="$realm_type = 'LDAP'">
                                <xsl:if test="@xmi:type = 'security:LDAPUserRegistry'">
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_userRegistries_LDAPUserRegistry_realm', @realm)"/>
                                </xsl:if>
                        </xsl:if>

                        <xsl:if test="$realm_type = 'Custom'">
                                <xsl:if test="@xmi:type = 'security:CustomUserRegistry'">
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_userRegistries_CustomUserRegistry_realm', @realm)"/>
                                </xsl:if>
                        </xsl:if>

                </xsl:if>

                <xsl:if test="$mode = 'servers'">
                <xsl:if test="@xmi:type = 'security:LocalOSUserRegistry'">
                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'serverRegionId', @serverId)"/>
                        <xsl:for-each select="properties">
                                <xsl:if test="@name = 'com.ibm.security.SAF.unauthenticated'">
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_security_SAF_unauthenticated', @value)"/>
                                </xsl:if>
                    <!-- pok_MD20151 - start add -->
                    <xsl:if test="@name = 'com.ibm.security.SAF.EJBROLE.Audit.Messages.Suppress'">
                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_security_SAF_EJBROLE_Audit_Messages_Suppress', @value)"/>
                    </xsl:if>
                    <!-- pok_MD20151 - end add -->
                        </xsl:for-each>
                </xsl:if>
                </xsl:if>
        </xsl:template>
</xsl:stylesheet>
