<!--
	Licensed Material - Property of IBM
	5655-I35 (C) Copyright IBM Corp. 2000, 2003

	All Rights Reserved.

	U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or
	Disclosure restricted by GSA-ADP schedule contract with IBM Corp.

	Status = H28W500
	WAS390
-->
<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xmi="http://www.omg.org/XMI"
    xmlns:xalan="http://xml.apache.org/xslt"
	xmlns:security="http://www.ibm.com/websphere/appserver/schemas/5.0/security.xmi"
	xmlns:ipc="http://www.ibm.com/websphere/appserver/schemas/5.0/ipc.xmi"
    xmlns:jaaslogin="http://www.ibm.com/websphere/appserver/schemas/5.0/jaaslogin.xmi" 
    xmlns:properties="http://www.ibm.com/websphere/appserver/schemas/5.0/properties.xmi" 
    xmlns:orb.securityprotocol="http://www.ibm.com/websphere/appserver/schemas/5.0/orb.securityprotocol.xmi" 
    xmlns:ipc.ssl="http://www.ibm.com/websphere/appserver/schemas/5.0/ipc.ssl.xmi"       
    xmlns:C2N="com.ibm.ws.management.util.zos.gate">

    
    <xsl:template match="security:Security">
		<xsl:value-of select="@enabled"/>

	</xsl:template>
	
		<!-- Repertoire -->
	<xsl:template match="repertoire">
		<xsl:param name="config"/>
		<xsl:for-each select=".">
			<xsl:if test="@alias = $config">
				<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_HTTP_claimSecurityLevel',  setting/@securityLevel)"/> <!-- claims  -->
					<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_HTTP_claimKeyringName',  	setting/@keyFileName)"/> <!-- claims -->
					<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_HTTP_claimClientAuthentication',  	setting/@clientAuthentication)"/> <!-- claims -->
					<xsl:for-each select="setting/properties">
						<xsl:if test="@name = 'com.ibm.ssl.enabledCipherSuites'">
							<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_HTTP_claimSecurityCipherSuiteList', @value)"/> <!-- claims -->
						</xsl:if>
						<xsl:if test="@name = 'was.com.ibm.ssl.sys.v3.timeout'">
							<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_HTTP_claims_ssl_sys_v3_timeout', @value)"/> <!-- claims -->
						</xsl:if>
					</xsl:for-each>		
			</xsl:if>
		</xsl:for-each>
	</xsl:template>

	
</xsl:stylesheet>