<!--
        Licensed Material - Property of IBM
        5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70 (C) Copyright IBM Corp. 2000-2008
        IBM Confidential OCO Source Material
        The source code for this program is not published or otherwise divested
        of its trade secrets, irrespective of what has been deposited with the
        U.S. Copyright Office.

        Status = H28W500
        WAS390
-->
<xsl:stylesheet version="1.0"
    xmlns:xmi="http://www.omg.org/XMI"
        xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xalan="http://xml.apache.org/xslt"
        xmlns:process="http://www.ibm.com/websphere/appserver/schemas/5.0/process.xmi"
        xmlns:pmiservice="http://www.ibm.com/websphere/appserver/schemas/5.0/pmiservice.xmi"
        xmlns:adminservice="http://www.ibm.com/websphere/appserver/schemas/5.0/adminservice.xmi"
        xmlns:properties="http://www.ibm.com/websphere/appserver/schemas/5.0/properties.xmi"
        xmlns:traceservice="http://www.ibm.com/websphere/appserver/schemas/5.0/traceservice.xmi"
        xmlns:loggingservice.ras="http://www.ibm.com/websphere/appserver/schemas/5.0/loggingservice.ras.xmi"
        xmlns:orb="http://www.ibm.com/websphere/appserver/schemas/5.0/orb.xmi"
        xmlns:namingserver="http://www.ibm.com/websphere/appserver/schemas/5.0/namingserver.xmi"
        xmlns:applicationserver="http://www.ibm.com/websphere/appserver/schemas/5.0/applicationserver.xmi"
        xmlns:applicationserver.webcontainer="http://www.ibm.com/websphere/appserver/schemas/5.0/applicationserver.webcontainer.xmi"
        xmlns:ipc="http://www.ibm.com/websphere/appserver/schemas/5.0/ipc.xmi"
        xmlns:applicationserver.ejbcontainer="http://www.ibm.com/websphere/appserver/schemas/5.0/applicationserver.ejbcontainer.xmi"
        xmlns:applicationserver.ejbcontainer.messagelistener="http://www.ibm.com/websphere/appserver/schemas/5.0/applicationserver.ejbcontainer.messagelistener.xmi"
        xmlns:messagingserver="http://www.ibm.com/websphere/appserver/schemas/5.0/messagingserver.xmi"
    xmlns:serverindex="http://www.ibm.com/websphere/appserver/schemas/5.0/serverindex.xmi"
        xmlns:processexec="http://www.ibm.com/websphere/appserver/schemas/5.0/processexec.xmi"
        xmlns:topology.cluster="http://www.ibm.com/websphere/appserver/schemas/5.0/topology.cluster.xmi"
    xmlns:security="http://www.ibm.com/websphere/appserver/schemas/5.0/security.xmi"
    xmlns:sibresources="http://www.ibm.com/websphere/appserver/schemas/6.0/sibresources.xmi"
    xmlns:C2N="com.ibm.ws.management.util.zos.gate">

    <!-- import shared -->
    <xsl:include href="shared.xsl"/>
    <xsl:include href="serverindex_help.xsl"/>
    <xsl:include href="cluster_help.xsl"/>
    <xsl:include href="security_help.xsl"/>
    <xsl:include href="sib-engines_help.xsl"/>


        <!-- Match on the "ROOT" / -->
        <xsl:template match="/">
                <xsl:apply-templates select="xmi:XMI" />
                <xsl:apply-templates select="process:Server"/>  <!-- MD16562  -->
        </xsl:template>

        <!-- Match on the "xmi:XMI" -->
        <xsl:template match="xmi:XMI">
                <xsl:apply-templates select="xmi:Documentation"/>
                <xsl:apply-templates select="process:Server"/>
        </xsl:template>

        <!-- Just swallowing this, here for completeness -->
        <xsl:template match="xmi:Documentation"></xsl:template>

        <!-- Matching process:Server, entering stateManagement -->
        <xsl:template match="process:Server">
                <xsl:variable name="env_file" select="concat(substring-before($path, 'server.xml'), 'was.env')"/>
                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'was_env_file', $env_file)"/>
                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_specific_short_name',@shortName)"/>
                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_specific_name',@name)"/>
                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_specific_uuid',@uniqueId)"/>

                <xsl:apply-templates select="components"/>
                <xsl:apply-templates select="processDefinitions[@processType = 'Control']"/>
                <xsl:apply-templates select="processDefinitions[@processType = 'Servant']"/>
        <xsl:apply-templates select="processDefinitions[@processType = 'Adjunct']"/>
                <xsl:apply-templates select="serverInstance"/>
                <xsl:apply-templates select="services"/>
        </xsl:template>


        <!-- Matching process:serverInstance -->
        <xsl:template match="serverInstance">
                <xsl:choose>
                        <xsl:when test="@enableMultipleServerInstances = 'true'">
                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'wlm_dynapplenv_single_server', 'false')"/>
                        </xsl:when>
                        <xsl:otherwise>
                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'wlm_dynapplenv_single_server', 'true')"/>
                        </xsl:otherwise>
                </xsl:choose>
                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'wlm_maximumSRCount', @maximumNumberOfInstances)"/>
                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'wlm_minimumSRCount', @minimumNumOfInstances)"/>
        </xsl:template>



        <!-- component template -->
        <xsl:template match="components">
                <xsl:choose>
                        <xsl:when test="@xmi:type = 'applicationserver:ApplicationServer'">
                                <xsl:apply-templates select="properties">
                                        <xsl:with-param name="type" select="'ApplicationServer'"/>
                                </xsl:apply-templates>
                                <xsl:apply-templates select="components"/>
                        </xsl:when>
                        <xsl:when test="@xmi:type = 'applicationserver.webcontainer:WebContainer'">  <!-- looky here web container -->
                                <xsl:apply-templates select="properties">
                                        <xsl:with-param name="type" select="'WebContainer'"/>
                                        <xsl:with-param name="ssl" select="''"/>    <!-- pok_PQ95315A -->
                                </xsl:apply-templates>

                                <xsl:apply-templates select="transports"/>
                                <xsl:apply-templates select="services"/>
                        </xsl:when>
                        <xsl:when test="@xmi:type = 'nodeagent:NodeAgent'">  <!-- looky here nodeagent -->
                                <xsl:apply-templates select="fileSynchronizationService"/>
                        </xsl:when>
                        <xsl:when test="@xmi:type = 'webserver:WebServer'">  
                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'web_server_type','WebServer')"/>
                        </xsl:when>
                </xsl:choose>
                <xsl:apply-templates select="services"/>
        </xsl:template>

        <!-- file sync service -->
        <xsl:template match="fileSynchronizationService">
                <xsl:for-each select="properties">
                        <xsl:if test="@name = 'recoveryNode' and @value='true' and $recovery='false'">
                                <xsl:value-of select="C2N:Catcher.recoveryNodeTransform($GenKey, $cell_name, $node_name)"/>
                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'recoveryNode', @value)"/>
                        </xsl:if>
                </xsl:for-each>
        </xsl:template>


        <!-- services template transport and ORB -->
        <xsl:template match="services">
                <xsl:choose>
                        <xsl:when test="@xmi:type = 'adminservice:AdminService'">
                                <xsl:apply-templates select="properties">
                                        <xsl:with-param name="type" select="'AdminService'"/>
                                        <xsl:with-param name="ssl" select="''"/>
                                </xsl:apply-templates>
                        </xsl:when>
                        <xsl:when test="@xmi:type = 'applicationserver:TransactionService'">
                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'transaction_maximumTimeout', @propogatedOrBMTTranLifetimeTimeout)"/>
                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'transaction_defaultTimeout', @totalTranLifetimeTimeout)"/>
                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'transaction_heuristicRetryLimit', @heuristicRetryLimit)"/>
                        </xsl:when>
                        <xsl:when test="@xmi:type = 'orb:ObjectRequestBroker'">
                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_iiop_no_local_copies',@noLocalCopies)"/>
                                <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options',$GenKey,'-Dcom.ibm.CORBA.iiop.noLocalCopies',@noLocalCopies)"/>
                                <xsl:apply-templates select="properties">
                                        <xsl:with-param name="type" select="'ORB'"/>
                                </xsl:apply-templates>
                        </xsl:when>
                        <xsl:when test="@xmi:type = 'traceservice:TraceService'">
                                <xsl:value-of select="C2N:Catcher.saveKeyValueToFile('trace.dat', $GenKey,@startupTraceSpecification)"/>
                        </xsl:when>
                        <xsl:when test="@xmi:type = 'applicationserver.webcontainer:SessionManager'">
                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_session_cookie_name',defaultCookieSettings/@name)"/>
                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_enableSSLTracking', @enableSSLTracking)"/>

                <xsl:choose>
                    <xsl:when test="@sessionPersistenceMode = 'NONE'">
                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_session_persistent', 'false')"/>
                    </xsl:when>
                    <xsl:otherwise>
                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_session_persistent', 'true')"/>
                    </xsl:otherwise>
                </xsl:choose>

                        </xsl:when>
            <!-- start MD18915  -->
                        <xsl:when test="@xmi:type = 'applicationserver:DynamicCache'">
                                <xsl:apply-templates select="cacheGroups"/>
                        </xsl:when>
            <!-- end MD18915  -->
                </xsl:choose>
        </xsl:template>
        <!-- end services template -->

        <!-- start MD18915  -->
        <!-- begin cacheGroups template -->
        <xsl:template match="cacheGroups">
                <xsl:for-each select="members">
                        <xsl:if test="@adapterBeanName = 'com.ibm.ws.cache.servlet.Afpa'">
                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'ECA_port', @address)"/>
                        </xsl:if>
                </xsl:for-each>
        </xsl:template>
        <!-- end cacheGroups template -->
        <!-- end MD18915  -->

        <!-- begin transport template -->
        <xsl:template match="transports">
                <xsl:param name="serverIndexHost"/>
                <xsl:if test="@xmi:type = 'applicationserver.webcontainer:HTTPTransport'">
                        <xsl:if test="@sslEnabled='false'">
                                <xsl:choose>
                                        <xsl:when test="address/@host='' or address/@host=' '">
                                                <xsl:value-of select="C2N:Catcher.saveKeyValueOnce($GenKey,'protocol_http_listenIPAddress','*')"/>
                                                <xsl:value-of select="C2N:Catcher.saveKeyValueOnce($GenKey,'protocol_http_port', address/@port)"/>
                                        </xsl:when>
                                        <xsl:otherwise>
                                                <xsl:value-of select="C2N:Catcher.saveKeyValueOnce($GenKey,'protocol_http_listenIPAddress',address/@host)"/>
                                                <xsl:value-of select="C2N:Catcher.saveKeyValueOnce($GenKey,'protocol_http_port', address/@port)"/>
                                        </xsl:otherwise>
                                </xsl:choose>
                        </xsl:if>
                        <xsl:if test="@sslEnabled='true'">
                <!--pok_PQ86936 - moved next line up to here... was lower down... -->
                <xsl:value-of select="C2N:Catcher.saveKeyValueOnce($GenKey,'com_ibm_HTTP_claim_sslEnabled', '1')"/>
                <xsl:variable name="path_a" select="concat($user_install_root, $file_sep, 'config', $file_sep, 'cells', $file_sep)"/>
                <xsl:variable name="path_b" select="concat($path_a, $cell_name, $file_sep, 'security.xml')"/>

                <xsl:apply-templates select="document($path_b)//repertoire">
                    <xsl:with-param name="config" select="@sslConfig"/>
                    <xsl:with-param name="type" select="'http'"/>
                </xsl:apply-templates>

                                <xsl:choose>
                                        <xsl:when test="address/@host='' or address/@host=' '">
                                                <xsl:value-of select="C2N:Catcher.saveKeyValueOnce($GenKey,'protocol_https_listenIPAddress','*')"/>
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValueOnce($GenKey,'protocol_https_port', address/@port)"/>
                                        </xsl:when>
                                        <xsl:otherwise> <!-- address not blank -->
                                                <xsl:value-of select="C2N:Catcher.saveKeyValueOnce($GenKey,'protocol_https_listenIPAddress',address/@host)"/>
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValueOnce($GenKey,'protocol_https_port', address/@port)"/>
                                                        </xsl:otherwise>
                                </xsl:choose>
                        </xsl:if>
                </xsl:if>
                <xsl:apply-templates select="properties">
                        <xsl:with-param name="type" select="'WebContainer'"/>
                        <xsl:with-param name="ssl" select="@sslEnabled"/>
                </xsl:apply-templates>
        </xsl:template>
        <!-- end transport template -->

                <!-- begin properties template -->
        <xsl:template match="properties"> <!-- cluster check ends here -->
                <xsl:param name="type"/>
                <xsl:param name="ssl"/>
                        <xsl:choose>
                                <xsl:when test="$type = 'WebContainer'">
                                    <xsl:if test="$ssl =''">    <!-- pok_PQ95315A -->
                                        <xsl:choose>
                                                <xsl:when test="@name = 'was.networkQoS'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_transport_network_qos',@value)"/>
                                                </xsl:when>

                                                <!-- begin HttpSession properties -->
                                                <xsl:when test="@name = 'HttpSessionIdLength'">
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_session_id_length',@value)"/>
                                                </xsl:when>

                                                <xsl:when test="@name = 'SessionRewriteIdentifier'">
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_session_rewrite_identifier',@value)"/>
                                                </xsl:when>

                                                <xsl:when test="@name = 'HttpSessionCloneId'">
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_cloneid',@value)"/>
                                                </xsl:when>

                                                <xsl:when test="@name = 'NoAdditionalSessionInfo'">
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_session_no_additional_info',@value)"/>
                                                </xsl:when>
                                                <!-- Begin MD20031 Additions -->
                                                <xsl:when test="@name = 'ConnectionIOTimeOut'">
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_timeout_input',@value)"/>
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_timeout_input',@value)"/>
                                                </xsl:when>
                                                <xsl:when test="@name = 'ConnectionIOTimeout'">
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_timeout_input',@value)"/>
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_timeout_input',@value)"/>
                                                </xsl:when>
                                                <xsl:when test="@name = 'ConnectionKeepAliveTimeout'">
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_timeout_persistentSession',@value)"/>
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_timeout_persistentSession',@value)"/>
                                                </xsl:when>
                                                <xsl:when test="@name = 'ConnectionResponseTimeout'">
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_timeout_output',@value)"/>
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_timeout_output',@value)"/>
                                                </xsl:when>
                                                <xsl:when test="@name = 'MaxConnectBacklog'">
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_max_connect_backlog',@value)"/>
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_max_connect_backlog',@value)"/>
                                                </xsl:when>
                                                <xsl:when test="@name = 'MaxKeepAliveConnections'">
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_max_keep_alive_connections',@value)"/>
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_max_keep_alive_connections',@value)"/>
                                                </xsl:when>
                                                <xsl:when test="@name = 'MaxKeepAliveRequests'">
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_max_persist_requests',@value)"/>
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_max_persist_requests',@value)"/>
                                                </xsl:when>
                                                <xsl:when test="@name = 'MutualAuthCBindCheck'">
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_mutual_auth_cbind_check',@value)"/>
                                                </xsl:when>
                                                <xsl:when test="@name = 'TrustedProxy'">
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_trusted_proxy',@value)"/>
                                                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_trusted_proxy',@value)"/>
                                                </xsl:when>
                                                <!-- End MD20031 Additions -->
                                                <!-- end HttpSession properties -->

                                        </xsl:choose>
                                    </xsl:if>   <!-- pok_PQ95315A -->
                                        <!-- HTTP Stuff -->
                                        <xsl:if test="$ssl = 'false'">
                                                <xsl:choose>
                                                        <xsl:when test="@name = 'ConnectionIOTimeOut'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_timeout_input',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'ConnectionIOTimeout'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_timeout_input',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'ConnectionResponseTimeout'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_timeout_output',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'ConnectionKeepAliveTimeout'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_timeout_persistentSession',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'MaxKeepAliveRequests'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_max_persist_requests',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'TrustedProxy'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_trusted_proxy',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'MaxKeepAliveConnections'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_max_keep_alive_connections',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'MaxConnectBacklog'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_max_connect_backlog',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'TcpNoDelay'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_tcp_no_delay',@value)"/>
                                                        </xsl:when>
                                                </xsl:choose>
                                        </xsl:if>

                                        <xsl:if test="$ssl = 'true'">           <!-- HTTPS -->
                                                <xsl:choose>
                                                        <xsl:when test="@name = 'ConnectionIOTimeOut'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_timeout_input',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'ConnectionIOTimeout'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_timeout_input',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'ConnectionResponseTimeout'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_timeout_output',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'ConnectionKeepAliveTimeout'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_timeout_persistentSession',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'MaxKeepAliveRequests'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_max_persist_requests',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'was.networkQoS'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_transport_network_qos',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'TrustedProxy'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_trusted_proxy',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'MutualAuthCBindCheck'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_mutual_auth_cbind_check',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'MaxKeepAliveConnections'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_max_keep_alive_connections',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'MaxConnectBacklog'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_max_connect_backlog',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'TcpNoDelay'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_tcp_no_delay',@value)"/>
                                                        </xsl:when>

                                                        <xsl:when test="@name = 'com.ibm.HTTP.claim.Clientcerts'">
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'com_ibm_HTTP_claim_Clientcerts',@value)"/>
                                                        </xsl:when>
                                                </xsl:choose>
                                        </xsl:if>
                                </xsl:when>
                                <xsl:when test="$type = 'AdminService'">
                                        <xsl:choose>
                                                <xsl:when test="@name = 'ConnectionIOTimeOut'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_timeout_input',@value)"/>
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_timeout_input',@value)"/>
                                                </xsl:when>
                                                <xsl:when test="@name = 'ConnectionIOTimeout'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_timeout_input',@value)"/>
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_timeout_input',@value)"/>
                                                </xsl:when>
                                                <xsl:when test="@name = 'ConnectionResponseTimeout'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_http_timeout_output',@value)"/>
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_https_timeout_output',@value)"/>
                                                </xsl:when>
                                                <xsl:when test="@name = 'was.ConfiguredSystemName'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_configured_system_name',@value)"/>
                                                </xsl:when>
                                                <xsl:when test="@name = 'ClusterTransitionName'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_generic_short_name',@value)"/>
                                                </xsl:when>
                                                <xsl:when test="@name = 'was.ClusterTransitionUUID'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_generic_uuid',@value)"/>
                                                </xsl:when>
                                                <xsl:when test="@name = 'WLMStatefulSession'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'wlm_stateful_session_placement_on',@value)"/>
                                                </xsl:when>
                        <!-- pok_PQ86936 Start -->
                        <xsl:otherwise>
                            <xsl:if test="../../@name = 'nodeagent' or ../../@name ='dmgr'">  <!-- Check process:Server name -->
                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,@name,@value)"/>
                            </xsl:if>
                        </xsl:otherwise>
                        <!-- pok_PQ86936 End -->
                                        </xsl:choose>
                                </xsl:when>
                                <xsl:when test="$type = 'ApplicationServer'">
                                        <xsl:choose>
                                                <!-- server ID stuff -->
                                                <xsl:when test="@name = 'was.ConfiguredSystemName'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_configured_system_name',@value)"/>
                                                </xsl:when>

                                                <xsl:when test="@name = 'ClusterTransitionName'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_generic_short_name',@value)"/>
                                                </xsl:when>

                                                <xsl:when test="@name = 'was.ClusterTransitionUUID'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_generic_uuid',@value)"/>
                            <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'clustered_server','false')"/>
                                                </xsl:when>

                                                <xsl:otherwise>
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, @name, @value)"/>
                                                </xsl:otherwise>
                                        </xsl:choose>
                                        <!-- cluster.xml checked stuff -->
                                        <xsl:choose>
                                                <xsl:when test="//process:Server[@clusterName != '']">
                                                        <xsl:variable name="cluster_name" select="//process:Server/@clusterName"/>
                                                        <xsl:variable name="path_1" select="concat($user_install_root, $file_sep, 'config', $file_sep, 'cells', $file_sep)"/>
                                                        <xsl:variable name="path_2" select="concat($path_1, $cell_name, $file_sep)"/>
                                                        <xsl:variable name="path_3" select="concat($path_2, 'clusters', $file_sep, $cluster_name)"/>
                                                        <xsl:variable name="path_4" select="concat($path_3, $file_sep, 'cluster.xml')"/>
                                                        <xsl:variable name="path_5" select="concat($path_3, $file_sep, 'sib-engines.xml')"/>
                                                        
                                                        <xsl:call-template name="sibEngine">
                                                            <xsl:with-param name="filename" select="$path_5"/>
                                                        </xsl:call-template> 

                                                        <xsl:variable name="cluster_short_name">
                                                                <xsl:apply-templates select="document($path_4)/topology.cluster:ServerCluster/@shortName"/>
                                                        </xsl:variable>

                                                        <xsl:variable name="cluster_uniqueId">
                                                                <xsl:apply-templates select="document($path_4)/topology.cluster:ServerCluster/@uniqueId"/>
                                                        </xsl:variable>

                                                        <xsl:variable name="server_uniqueId">
                                                                <xsl:apply-templates select="document($path_4)/topology.cluster:ServerCluster/members"/>
                                                        </xsl:variable>

                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_generic_short_name',$cluster_short_name)"/>
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_generic_uuid', $cluster_uniqueId)"/>
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_specific_uuid',$server_uniqueId)"/>
                                                        <!--xsl:apply-templates select="document($path_5)//sibresources:SIBMessagingEngine"/-->

                                                        
                            <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'clustered_server','true')"/>
                            <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'cluster_name',$cluster_name)"/> 
                                                </xsl:when>             <!-- end cluster.xml checked section -->
                                        </xsl:choose>
                                </xsl:when>
                                <xsl:when test="$type = 'ORB'">
                                        <xsl:choose>
                                                <xsl:when test="@name = 'was.keepAlive'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_iiop_server_session_keepalive',@value)"/>
                                                </xsl:when>

                                                <xsl:when test="@name = 'was.keepAliveSSL'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_iiop_server_session_keepalive_ssl',@value)"/>
                                                </xsl:when>

                                                <xsl:when test="@name = 'was.servantWorkProfile'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_region_workload_profile',@value)"/>
                                                </xsl:when>

                                                <xsl:when test="@name = 'was.controlThreads'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'control_region_thread_pool_size',@value)"/>
                                                </xsl:when>

                                                <xsl:when test="@name = 'was.wlmTimeout'">
                                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'control_region_wlm_dispatch_timeout',@value)"/>
                                                </xsl:when>
                                        </xsl:choose>

                    <xsl:variable name="path_1" select="concat($user_install_root, $file_sep, 'config', $file_sep, 'cells', $file_sep, $cell_name, $file_sep)"/>
                    <xsl:variable name="path_2" select="concat($path_1, 'nodes', $file_sep, $node_name, $file_sep)"/>
                                        <xsl:variable name="path_3" select="concat($path_2, 'serverindex.xml')"/>

                                        <xsl:apply-templates select="document($path_3)//serverEntries"/>
                                </xsl:when>
                        </xsl:choose>
        </xsl:template>
        <!-- end properties template -->

        <!-- begin processDefinition template -->
        <xsl:template match="processDefinitions">
                <xsl:choose>
                        <xsl:when test="@xmi:type = 'processexec:JavaProcessDef'">
                                <xsl:if test="@processType = 'Control'">
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'control_region_umask', execution/@umask)"/>
                                        <xsl:for-each select="environment">
                                                <xsl:choose>
                                                		<xsl:when test="@name = 'LIBPATH'">
                                                                <xsl:value-of select="C2N:Catcher.addToList($GenKey, 'control_region_libpath', @value)"/>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, @name, @value)"/>
                                                        </xsl:otherwise>
                                                </xsl:choose>
                                        </xsl:for-each>
                                </xsl:if>
                                <xsl:if test="@processType = 'Servant'">
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'server_region_umask', execution/@umask)"/>
                                        <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'server_region_dynapplenv_jclproc', @startCommand)"/>
                                        <xsl:for-each select="environment">
                                                <xsl:choose>
                                                        <xsl:when test="@name = 'LIBPATH'">
                                                                <xsl:value-of select="C2N:Catcher.addToList($GenKey, 'server_region_libpath', @value)"/>
                                                        </xsl:when>
                                                        <xsl:otherwise>
                                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, @name, @value)"/>
                                                        </xsl:otherwise>
                                                </xsl:choose>
                                        </xsl:for-each>
                    <xsl:apply-templates select="startCommandArgs">					
                        <xsl:with-param name="type" select="@processType"/>
                    </xsl:apply-templates>
				</xsl:if>
                <xsl:if test="@processType = 'Adjunct'">
                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'adjunct_region_umask', execution/@umask)"/>
                    <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'adjunct_region_dynapplenv_jclproc', @startCommand)"/>
                    <xsl:for-each select="environment">
                        <xsl:choose>
                            <xsl:when test="@name = 'LIBPATH'">	
                                <xsl:value-of select="C2N:Catcher.addToList($GenKey, 'adjunct_region_libpath', @value)"/>
                            </xsl:when>
                            <xsl:otherwise>												
                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, @name, @value)"/>
                            </xsl:otherwise>
                        </xsl:choose>
                    </xsl:for-each>
                    <xsl:apply-templates select="startCommandArgs">					
                        <xsl:with-param name="type" select="@processType"/>
                    </xsl:apply-templates>
                                </xsl:if>
                                <xsl:apply-templates select="jvmEntries">
                                        <xsl:with-param name="type" select="@processType"/>
                                </xsl:apply-templates>
                        </xsl:when>
                </xsl:choose>
        </xsl:template>
        <!-- end processDefinition template -->

        <xsl:template match="startCommandArgs">
		<xsl:param name="type"/>
        <xsl:choose>
            <xsl:when test="$type = 'Servant'">
                <xsl:variable name="startCmdArg" select="."/>
                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'server_region_dynapplenv_jclparms', $startCmdArg)"/>
            </xsl:when>
            <xsl:when test="$type = 'Adjunct'">
                <xsl:variable name="startCmdArg" select="."/>        
                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'adjunct_region_dynapplenv_jclparms', $startCmdArg)"/>
            </xsl:when>
        </xsl:choose>
        </xsl:template>

        <!-- begin jvmEntries template -->
        <xsl:template match="jvmEntries">
                <xsl:param name="type"/>
                <xsl:choose>
                        <xsl:when test="$type = 'Control'">
                                <xsl:variable name="jvm.options" select="concat(substring-before($path, 'server.xml'), 'control.jvm.options')"/>
                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'control_region_jvm_properties_file',$jvm.options)"/>
                                <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options', $GenKey,'-Djavax.management.builder.initial=com.ibm.ws.management.PlatformMBeanServerBuilder')"/>

                                <!-- class sharing -->                                                                
                                <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options', $GenKey, '-Dosgi.framework.extensions=com.ibm.cds,com.ibm.ws.eclipse.adaptors')"/>
                                <!-- end class sharing --> 

                                <!-- if both set merge verbose option -->
                                <xsl:choose>
                                        <xsl:when test="@verboseModeClass = 'true' and @verboseModeGarbageCollection = 'true'">
                                            <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options', $GenKey, '-verbose:class,gc')"/>
                                        </xsl:when>
                                        <xsl:when test="@verboseModeClass = 'true' and @verboseModeGarbageCollection != 'true'">
                                            <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options', $GenKey, '-verbose:class')"/>
                                        </xsl:when>
                                        <xsl:when test="@verboseModeClass != 'true' and @verboseModeGarbageCollection = 'true'">
                                            <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options', $GenKey, '-verbose:gc')"/>
                                        </xsl:when>
                                </xsl:choose>

                                <xsl:if test="@verboseModeJNI = 'true'">
                                        <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options', $GenKey,'-verbose:jni')"/>
                                </xsl:if>

                                <xsl:if test="@runHProf= 'true' and @hprofArguments != ''">
                                        <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options', $GenKey,concat('-Xrunhprof:',@hprofArguments))"/>
                                </xsl:if>

                                <xsl:if test="@initialHeapSize != ''">
                                        <xsl:variable name="initialHeap" select="concat('-Xms',@initialHeapSize)"/>
                                        <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options', $GenKey, concat($initialHeap, 'm'))"/>
                                </xsl:if>

                                <xsl:if test="@maximumHeapSize != ''">
                                        <xsl:variable name="maxHeap" select="concat('-Xmx',@maximumHeapSize)"/>
                                        <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options', $GenKey, concat($maxHeap, 'm'))"/>
                                </xsl:if>


                                <xsl:if test="@debugMode = 'true'">
                                        <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options',$GenKey,@debugArgs)"/>
                                        <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options',$GenKey,'-Dwas.debug.mode=true')"/>
                                </xsl:if>

                                <xsl:if test="@disableJIT = 'true'">
                                        <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options',$GenKey, '-Djava.compiler=NONE')"/>
                                </xsl:if>

                                <xsl:if test="@internalClassAccessMode != ''">
                                    <xsl:variable name="intclassaccessmode" select="concat('-Dibm.websphere.internalClassAccessMode=',@internalClassAccessMode)"/>
                                    <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options', $GenKey, $intclassaccessmode)"/>
                                </xsl:if>

                                <xsl:apply-templates select="bootClasspath">
                                        <xsl:with-param name="type" select="'Control'"/>
                                </xsl:apply-templates>


                                <!-- PK29321.dev, carej - APAR forward fit -->
                                <xsl:if test="string-length(@genericJvmArguments) = 0 or not(contains(@genericJvmArguments, 'Xshareclasses'))">
                                    <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options', $GenKey, '-Xshareclasses:name=webspherev80_%g_control,controlDir=${JVM_CACHE},groupAccess,nonFatal')"/>
                                </xsl:if>

                                <!-- 598166 - if default changes from 50M, coordinate with WASEnv.java -->
                                <xsl:if test="not(contains(@genericJvmArguments, '-Xscmx'))">
                                    <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options', $GenKey, '-Xscmx50M')"/>
                                </xsl:if>

								<!-- F1149.1-31975, jasuryak - new api to support java.endorsed.dirs work -->
                                <xsl:value-of select="C2N:Catcher.addJVMOptionFromGenJVM('control.jvm.options',$GenKey, @genericJvmArguments)"/>
                                <xsl:variable name="trace" select="concat('-DtraceSettingsFile=', $user_install_root, '/config/cells/', $cell_name, '/nodes/', $node_name, '/servers/', $server_name, '/trace.dat')"/>
                                <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options',$GenKey, $trace)"/>

                                <xsl:for-each select="classpath">
                                    <xsl:value-of select="C2N:Catcher.addToList($GenKey,'control_region_classpath', .)"/>
                                </xsl:for-each>
                                <xsl:for-each select="systemProperties">

                                    <xsl:choose><!-- ESI Code for PQ91098 -->
					                    <xsl:when test="@name = 'private.com.ibm.ws.cache.esi.ESIInvalidator.socket.timeout'">
						                   <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options', $GenKey, concat('-D', @name), @value)"/>	
						                   <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'private_com_ibm_ws_cache_esi_ESIInvalidator_threadpool_size', @value)"/>
					                    </xsl:when><!-- end ESI Code for PQ91098-->
                                        <!-- LIDB 2667-17 -->
                                        <xsl:when test="@name = 'ws.ext.dirs'">
                                            <xsl:value-of select="C2N:Catcher.appendJVMOption('control.jvm.options', $GenKey, concat('-D', @name), concat(':', @value))"/>
                                        </xsl:when>
                                        <xsl:when test="@name = 'com.ibm.ws.logging.zOS.errorLog.format'">
                                            <xsl:if test="@value = 'CBE-XML-1.0.1'">
                                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, ' com_ibm_ws_logging_zos_errorlog_format_cbe','true')"/>
                                                <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options', $GenKey, concat('-D', @name), @value)"/>
                                                <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options', $GenKey, concat('-D', @name), @value)"/>
                                                <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options', $GenKey, concat('-D', @name), @value)"/>
                                            </xsl:if>
                                        </xsl:when>
                                        <xsl:when test="@name = 'com.ibm.websphere.logging.messageId.version'">
                                            <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options', $GenKey, concat('-D', @name), @value)"/>
                                            <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options', $GenKey, concat('-D', @name), @value)"/>
                                            <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options', $GenKey, concat('-D', @name), @value)"/>
                                        </xsl:when>
                                        <!-- LIDB 2667-17 -->
                                        <xsl:otherwise>
                                            <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options', $GenKey, concat('-D', @name), @value)"/>
                                        </xsl:otherwise>
                                    </xsl:choose>
                                </xsl:for-each>
                        </xsl:when>
                        <xsl:when test="$type = 'Servant'">
                                <xsl:variable name="jvm.options" select="concat(substring-before($path, 'server.xml'), 'servant.jvm.options')"/>
                                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_region_jvm_properties_file',$jvm.options)"/>
                                <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options', $GenKey,'-Djavax.management.builder.initial=com.ibm.ws.management.PlatformMBeanServerBuilder')"/>
                                 

                                <!-- class sharing -->                                
                                <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options', $GenKey, '-Dosgi.framework.extensions=com.ibm.cds,com.ibm.ws.eclipse.adaptors')"/>
                                <!-- end class sharing --> 

                                <!-- if both set merge verbose option -->
                                <xsl:choose>
                                        <xsl:when test="@verboseModeClass = 'true' and @verboseModeGarbageCollection = 'true'">
                                            <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options', $GenKey, '-verbose:class,gc')"/>
                                        </xsl:when>
                                        <xsl:when test="@verboseModeClass = 'true' and @verboseModeGarbageCollection != 'true'">
                                            <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options', $GenKey, '-verbose:class')"/>
                                        </xsl:when>
                                        <xsl:when test="@verboseModeClass != 'true' and @verboseModeGarbageCollection = 'true'">
                                            <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options', $GenKey, '-verbose:gc')"/>
                                        </xsl:when>
                                </xsl:choose>

                                <xsl:if test="@verboseModeJNI = 'true'">
                                        <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options', $GenKey,'-verbose:jni')"/>
                                </xsl:if>

                                <xsl:if test="@runHProf= 'true' and @hprofArguments != ''">
                                        <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options', $GenKey,concat('-Xrunhprof:',@hprofArguments))"/>
                                </xsl:if>

                                <xsl:if test="string-length(@initialHeapSize) > 0">
                                        <xsl:variable name="initialHeap" select="concat('-Xms',@initialHeapSize)"/>
                                        <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options', $GenKey, concat($initialHeap, 'm'))"/>
                                </xsl:if>

                                <xsl:if test="@maximumHeapSize != ''">
                                        <xsl:variable name="maxHeap" select="concat('-Xmx',@maximumHeapSize)"/>
                                        <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options', $GenKey, concat($maxHeap, 'm'))"/>
                                </xsl:if>


                                <xsl:if test="@debugMode = 'true'">
                                        <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options',$GenKey,@debugArgs)"/>
                                        <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options',$GenKey,'-Dwas.debug.mode=true')"/>
                                </xsl:if>

                                <xsl:if test="@disableJIT = 'true'">
                                        <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options',$GenKey, '-Djava.compiler=NONE')"/>
                                </xsl:if>

                                <xsl:if test="@internalClassAccessMode != ''">
                                    <xsl:variable name="intclassaccessmode" select="concat('-Dibm.websphere.internalClassAccessMode=',@internalClassAccessMode)"/>
                                    <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options', $GenKey, $intclassaccessmode)"/>
                                </xsl:if>

                                <xsl:apply-templates select="bootClasspath">
                                        <xsl:with-param name="type" select="'Servant'"/>
                                </xsl:apply-templates>


                                <!-- PK29321.dev, carej - APAR forward fit -->
                                <xsl:if test="string-length(@genericJvmArguments) = 0 or not(contains(@genericJvmArguments, '-Xshareclasses'))">                                    
                                    <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options', $GenKey, '-Xshareclasses:name=webspherev80_%g_servant,controlDir=${JVM_CACHE},groupAccess,nonFatal')"/>
                                </xsl:if>

                                <!-- PK29321.dev, carej - APAR forward fit -->
                                <!-- 598166 - if default changes from 50M, coordinate with WASEnv.java -->
                                <xsl:if test="not(contains(@genericJvmArguments, '-Xscmx'))">
                                    <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options', $GenKey, '-Xscmx50M')"/>
                                </xsl:if>

								<!-- F1149.1-31975, jasuryak - new api to support java.endorsed.dirs work -->
                                <xsl:value-of select="C2N:Catcher.addJVMOptionFromGenJVM('servant.jvm.options',$GenKey,@genericJvmArguments)"/>
                                <xsl:variable name="trace" select="concat('-DtraceSettingsFile=', $user_install_root, '/config/cells/', $cell_name, '/nodes/', $node_name, '/servers/', $server_name, '/trace.dat')"/>
                                <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options',$GenKey, $trace)"/>


                                <xsl:for-each select="classpath">
                                        <xsl:value-of select="C2N:Catcher.addToList($GenKey,'server_region_classpath', .)"/>
                                </xsl:for-each>

                                <xsl:for-each select="systemProperties">
                                    <xsl:choose>
                                        <xsl:when test="@name = 'ws.ext.dirs'">
                                                <xsl:value-of select="C2N:Catcher.appendJVMOption('servant.jvm.options', $GenKey, concat('-D', @name), concat(':', @value))"/>
                                        </xsl:when>
                                        <xsl:otherwise>
                                            <xsl:choose>
                                                <xsl:when test="$service = 'jvm_override'">
                                                    <xsl:value-of select="C2N:Catcher.replaceJVMOption('servant.jvm.options', $GenKey, concat('-D', @name), @value)"/>
                                                </xsl:when>
                                                <xsl:otherwise>
                                                    <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options', $GenKey, concat('-D', @name), @value)"/>
                                                </xsl:otherwise>
                                            </xsl:choose>
                                        </xsl:otherwise>
                                        </xsl:choose>
                                </xsl:for-each>
                        </xsl:when>
            <xsl:when test="$type = 'Adjunct'">
                <xsl:variable name="jvm.options" select="concat(substring-before($path, 'server.xml'), 'adjunct.jvm.options')"/>
                <xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey, 'adjunct_region_jvm_properties_file',$jvm.options)"/>
                <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options', $GenKey,'-Djavax.management.builder.initial=com.ibm.ws.management.PlatformMBeanServerBuilder')"/>

                <!-- class sharing -->                
                <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options', $GenKey, '-Dosgi.framework.extensions=com.ibm.cds,com.ibm.ws.eclipse.adaptors')"/>
                <!-- end class sharing --> 

                <!-- if both set merge verbose option -->
                <xsl:choose>
                    <xsl:when test="@verboseModeClass = 'true' and @verboseModeGarbageCollection = 'true'">
                        <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options', $GenKey, '-verbose:class,gc')"/>
                    </xsl:when>
                    <xsl:when test="@verboseModeClass = 'true' and @verboseModeGarbageCollection != 'true'">
                        <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options', $GenKey, '-verbose:class')"/>
                    </xsl:when>
                    <xsl:when test="@verboseModeClass != 'true' and @verboseModeGarbageCollection = 'true'">
                        <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options', $GenKey, '-verbose:gc')"/>
                    </xsl:when>
                </xsl:choose>

                <xsl:if test="@verboseModeJNI = 'true'">
                    <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options', $GenKey,'-verbose:jni')"/>
                </xsl:if>

                <xsl:if test="@runHProf= 'true' and @hprofArguments != ''">
                    <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options', $GenKey,concat('-Xrunhprof:',@hprofArguments))"/>
                </xsl:if>

                <xsl:if test="string-length(@initialHeapSize) > 0">
                    <xsl:variable name="initialHeap" select="concat('-Xms',@initialHeapSize)"/>
                    <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options', $GenKey, concat($initialHeap, 'm'))"/>
                </xsl:if>

                <xsl:if test="@maximumHeapSize != ''">
                    <xsl:variable name="maxHeap" select="concat('-Xmx',@maximumHeapSize)"/>
                    <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options', $GenKey, concat($maxHeap, 'm'))"/>
                </xsl:if>


                <xsl:if test="@debugMode = 'true'">
                    <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options',$GenKey,@debugArgs)"/>
                    <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options',$GenKey,'-Dwas.debug.mode=true')"/>
                </xsl:if>

                <xsl:if test="@disableJIT = 'true'">
                    <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options',$GenKey, '-Djava.compiler=NONE')"/>
                </xsl:if>

                <xsl:if test="@internalClassAccessMode != ''">
                    <xsl:variable name="intclassaccessmode" select="concat('-Dibm.websphere.internalClassAccessMode=',@internalClassAccessMode)"/>
                    <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options', $GenKey, $intclassaccessmode)"/>
                </xsl:if>

                <xsl:apply-templates select="bootClasspath">
                    <xsl:with-param name="type" select="'Adjunct'"/>
                </xsl:apply-templates>


                <!-- PK29321.dev, carej - APAR forward fit -->
                <xsl:if test="string-length(@genericJvmArguments) = 0 or not(contains(@genericJvmArguments, 'shareclasses'))">
                    <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options', $GenKey, '-Xshareclasses:name=webspherev80_%g_adjunct,controlDir=${JVM_CACHE},groupAccess,nonFatal')"/>
                </xsl:if>

                <!-- 598166 - if default changes from 50M, coordinate with WASEnv.java -->
                <xsl:if test="not(contains(@genericJvmArguments, '-Xscmx'))">
                    <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options', $GenKey, '-Xscmx50M')"/>
                </xsl:if>

				<!-- F1149.1-31975, jasuryak - new api to support java.endorsed.dirs work -->
                <xsl:value-of select="C2N:Catcher.addJVMOptionFromGenJVM('adjunct.jvm.options',$GenKey,@genericJvmArguments)"/>
                <xsl:variable name="trace" select="concat('-DtraceSettingsFile=', $user_install_root, '/config/cells/', $cell_name, '/nodes/', $node_name, '/servers/', $server_name, '/trace.dat')"/>
                <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options',$GenKey, $trace)"/>


                <xsl:for-each select="classpath">
                    <!-- add type! -->
                    <xsl:value-of select="C2N:Catcher.addToList($GenKey, 'adjunct_region_classpath', .)"/>
                </xsl:for-each>

                <xsl:for-each select="systemProperties">
                    <xsl:choose>                        
                        <xsl:when test="@name = 'ws.ext.dirs'">
                            <xsl:value-of select="C2N:Catcher.appendJVMOption('adjunct.jvm.options', $GenKey, concat('-D', @name), concat(':', @value))"/>
                        </xsl:when>
                        <xsl:otherwise>
                            <xsl:choose>
                                <xsl:when test="$service = 'jvm_override'">
                                    <xsl:value-of select="C2N:Catcher.replaceJVMOption('adjunct.jvm.options', $GenKey, concat('-D', @name), @value)"/>
                                </xsl:when>
                                <xsl:otherwise>
                                    <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options', $GenKey, concat('-D', @name), @value)"/>
                                </xsl:otherwise>
                            </xsl:choose>
                        </xsl:otherwise>
                    </xsl:choose>
                </xsl:for-each>
            </xsl:when>

                </xsl:choose>
        </xsl:template>
        <!-- end jvmEntries template -->

        <xsl:template match="bootClasspath">
            <xsl:param name="type"/>
                <xsl:variable name="boot" select="."/>
                <xsl:if test="$boot != ''">
                        <xsl:choose>
                                <xsl:when test="$type = 'Servant'">
                                        <xsl:value-of select="C2N:Catcher.addJVMOption('servant.jvm.options',$GenKey,concat('-Xbootclasspath/p:',$boot))"/>
                                </xsl:when>
                                <xsl:when test="$type = 'Control'">
                                        <xsl:value-of select="C2N:Catcher.addJVMOption('control.jvm.options',$GenKey,concat('-Xbootclasspath/p:',$boot))"/>
                                </xsl:when>
                <xsl:when test="$type = 'Adjunct'">
                                        <xsl:value-of select="C2N:Catcher.addJVMOption('adjunct.jvm.options',$GenKey,concat('-Xbootclasspath/p:',$boot))"/>
                                </xsl:when>
                        </xsl:choose>
                </xsl:if>
        </xsl:template>
</xsl:stylesheet>


