<!--
	Licensed Material - Property of IBM
	5724-J08, 5724-I63, 5724-H88, 5724-H89, 5655-N02, 5733-W70 (C) Copyright IBM Corp. 2000, 2003, 2007

	All Rights Reserved.

	U.S. Government users - RESTRICTED RIGHTS - Use, Duplication, or
	Disclosure restricted by GSA-ADP schedule contract with IBM Corp.

	Status = H28W500
	WAS390	
-->
<xsl:stylesheet version="1.0"
    xmlns:xmi="http://www.omg.org/XMI"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xalan="http://xml.apache.org/xslt"
    xmlns:serverindex="http://www.ibm.com/websphere/appserver/schemas/5.0/serverindex.xmi" 
    xmlns:ipc="http://www.ibm.com/websphere/appserver/schemas/5.0/ipc.xmi"
    xmlns:C2N="com.ibm.ws.management.util.zos.gate">
       
    <xsl:template match="serverindex:ServerIndex">    
		<xsl:value-of select="@hostName"/>
	</xsl:template> 
	
	<!-- ORB stuff -->
	<xsl:template match="serverEntries">
		<xsl:if test="@serverName = $server_name">
			<xsl:choose>
				<xsl:when test="@serverType = 'APPLICATION_SERVER'">
						<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,concat('topology_server_', @serverUniqueId),'1')"/>
						<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,concat('topology_server_clusternamefromuuid_', @serverUniqueId), @serverClusterShortName)"/>
						<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,concat('topology_server_servernamefromuuid', @serverUniqueId),@serverShortName)"/>
						<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_type','AppServer')"/>
				</xsl:when>
				<xsl:when test="@serverType = 'NODE_AGENT'">
						<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_type','NodeAgent')"/>
				</xsl:when>
				<xsl:when test="@serverType = 'MESSAGE_BROKER'">
						<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_type','JMSServer')"/>				
				</xsl:when>
				<xsl:when test="@serverType = 'DEPLOYMENT_MANAGER'">
						<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_type','DeploymentManager')"/>
				</xsl:when>
				<xsl:when test="@serverType = 'ADMIN_AGENT'">
						<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_type','AdminAgent')"/>
				</xsl:when>
                <xsl:when test="@serverType = 'PROXY_SERVER'">
						<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_type','ProxyServer')"/>
				</xsl:when>
                <xsl:when test="@serverType = 'ONDEMAND_ROUTER'">
						<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'server_type','ProxyServer')"/>
				</xsl:when>
			</xsl:choose>			
			<xsl:apply-templates select="specialEndpoints"/>
		</xsl:if>
	</xsl:template>
	
	<xsl:template match="specialEndpoints">
		<xsl:if test="@endPointName = 'ORB_LISTENER_ADDRESS'">		
			<xsl:choose>
				<xsl:when test="endPoint/@host = ''">
					<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_iiop_listenIPAddress','*')"/>
				</xsl:when>
				<xsl:otherwise>
					<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_iiop_listenIPAddress',endPoint/@host)"/>
				</xsl:otherwise>
			</xsl:choose>
			<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_iiop_port',endPoint/@port)"/>		
		</xsl:if>
		
		<xsl:if test="@endPointName = 'ORB_SSL_LISTENER_ADDRESS'">
			<xsl:value-of select="C2N:Catcher.saveKeyValue($GenKey,'protocol_iiop_port_ssl',endPoint/@port)"/>		
		</xsl:if>
		
	</xsl:template>
</xsl:stylesheet>